var http = cep_node.require('http');
var path = cep_node.require('path');

const port = 48703; 

const httpServer = http.createServer( (req, res) => {
  const csLib = new CSInterface();
  let data = '';
  switch(req.method) {
    case 'GET':
      csLib.evalScript('getAppStatus()', result => {
        res.writeHead(200, {'Content-Type': 'text/plain;charset=utf-8'});
        res.end(result);
      });
      break;
    case 'POST':
      req.setEncoding("utf-8");
      req.on("data", chunk => {
        data += chunk;
      });
      req.on("end", () => {
        let obj = JSON.parse(data)
        csLib.evalScript(`dropExecute('${obj.wavPath.replaceAll('\\', '\\\\')}', '${obj.wavName}', '${obj.mogrtPath.replaceAll('\\', '\\\\')}', '${obj.txtPath.replaceAll('\\', '\\\\')}', ${obj.trackNum}, ${obj.clipLink})`, result => { 
          let status = result === 'Succeeded'? 200 : 500;
          res.writeHead(status, {'Content-Type': 'text/plain;charset=utf-8'});
          res.end(result); 
        });
      });
      break;
  }
});

window.onload = function()
{
  httpServer.listen(port);
};

window.onunload = function()
{
    httpServer.close();
}